{**************************************************************************}
{                                                                          }
{    Calmira Reborn shell for Microsoft(R) Windows(TM) 3.1                 }
{    Version 5.0                                                           }
{    Copyright (C) 2022-2023 Hunter Turcin                                      }
{    Copyright (C) 2004-2007 Alexandre Rodrigues de Sousa                  }
{    Copyright (C) 1998-2002 Calmira Online!                               }
{    Copyright (C) 1997-1998 Li-Hsin Huang                                 }
{                                                                          }
{    This program is free software; you can redistribute it and/or modify  }
{    it under the terms of the GNU General Public License as published by  }
{    the Free Software Foundation; either version 2 of the License, or     }
{    (at your option) any later version.                                   }
{                                                                          }
{    This program is distributed in the hope that it will be useful,       }
{    but WITHOUT ANY WARRANTY; without even the implied warranty of        }
{    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         }
{    GNU General Public License for more details.                          }
{                                                                          }
{    You should have received a copy of the GNU General Public License     }
{    along with this program; if not, write to the Free Software           }
{    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.             }
{                                                                          }
{**************************************************************************}

unit CalMsgs;

interface

uses WinTypes, Messages;

const
  { Global Calmira messages }
  CM_PREVINSTANCE  = 1;  { activates the previous instance }
  CM_EXPLORER      = 3;  { tells Calmira to display the explorer }
  CM_TASKMAN       = 4;  { 2.2 tells Calmira to display the task manager }
  CM_STARTPROP     = 5;  { 3.1 opens the start menu properties dialog }
  CM_TOGGLEDESKTOP = 6;  { 4.0 minimizes all windows on the desktop }
  CM_RELOADOPTIONS = 15; { reserved for future use }
  CM_GETOPENDLGFUNC  = 17;{ used to allow progs to use OpenDlgEx}

  { Undocumented Windows messages }
  WM_FILESYSCHANGE = $0034; { file is created, deleted, renamed etc. }

  { Internal Calmira messages }
  WM_SETTINGSCHANGED = WM_USER + 100; { broadcast to all Calmira windows }
  WM_OPENSHORT       = WM_USER + 101; { used internally by TShort }

  { Messages used by Wndhooks DLL }
  WM_SHELLWNDCREATE  = WM_USER + 200; { top level window created }
  WM_SHELLWNDDESTROY = WM_USER + 201; { top level window destroyed }
  WM_MOUSEHOOK       = WM_USER + 202; { mouse has moved }
  WM_HIDEQUERY       = WM_USER + 203; { window has been minimized }
  WM_WINACTIVE       = WM_USER + 204; { window has been activated }
  WM_DESKMENU        = WM_USER + 205; { right click on wallpaper }
  WM_DESKACTIVATE    = WM_USER + 206; { generated by desktop hook }
  WM_KEYBOARDHOOK    = WM_USER + 207; { generated by DLL }
  WM_KEYBOARDACTION  = WM_USER + 208; { used internally by Computer }
  WM_WINDOWSKEY      = WM_USER + 209; { Windows95 keyboard event } { 2.2 }
  WM_WINDOWSKEYACT   = WM_USER + 210; { used internally by Computer } { 2.2 }
  WM_DESKMOUSEDOWN   = WM_USER + 211; { left mouse button in the desktop pressed} {CalLFN 3.3 Beta2}
  WM_DESKMOUSEUP     = WM_USER + 212; { left mouse button in the desktop released} {CalLFN 3.3 Beta2}
  WM_DESKMOUSEMOVE   = WM_USER + 213; { mouse moved within the desktop} {CalLFN 3.3 Beta2}
  WM_DESKPAINT       = WM_USER + 214; {wallpaper is been painted } {CalLFN 3.3 Beta2}
  { Used internally by taskbar }
  WM_ADDBUTTON       = WM_USER + 250; { 2.2 moved from 210 }

var
  WM_CALMIRA: Word;

implementation

uses WinProcs;

initialization
  WM_CALMIRA := RegisterWindowMessage('Calmira Registered Message');
end.
